Package com.xebialabs.xlrelease.domain.variables

# Class GroovyProvider

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.variables.ValueProviderConfiguration
com.xebialabs.xlrelease.domain.variables.ScriptValueProviderConfiguration
com.xebialabs.xlrelease.domain.variables.GroovyProvider

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

public class GroovyProvider extends ScriptValueProviderConfiguration

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.xlrelease.domain.variables.ValueProviderConfiguration

  `CONFIGURATION_ID, variable`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroovyProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `extension()`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.variables.ScriptValueProviderConfiguration

  `getScript, script`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.variables.ValueProviderConfiguration

  `getVariable, setVariable`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GroovyProvider

    public GroovyProvider()

- ## Method Details

  - ### extension

    public String extension()
    Specified by:
      `extension` in class `ScriptValueProviderConfiguration`